doinst() {
# Somehow this doesn't seem to work from /var/log/setup/setup.htmlview
rm -f usr/bin/htmlview
cat << EOF > usr/bin/htmlview
#!/bin/sh
exec firefox "\$@"
EOF
chmod 755 usr/bin/htmlview

# We don't want a window asking this, default is whatever is in the cd
rm -f var/log/setup/setup.xwmconfig
if [ -f etc/X11/xinit.xfce ];then
	cp etc/X11/xinit.xfce etc/X11/xinitrc
elif [ -f etc/X11/xinit.kde ];then
	cp etc/X11/xinit.kde etc/X11/xinitrc
elif [ -f etc/X11/xinit.gnome ];then
	cp etc/X11/xinit.gnome etc/X11/xinitrc
elif [ -f etc/X11/xinit.lxde ];then
	cp etc/X11/xinit.lxde etc/X11/xinitrc
elif [ -f etc/X11/xinit.e16 ];then
	cp etc/X11/xinit.e16 etc/X11/xinitrc
elif [ -f etc/X11/xinit.fluxbox ];then
	cp etc/X11/xinit.fluxbox etc/X11/xinitrc
elif [ -f etc/X11/xinit.icewm ];then
	cp etc/X11/xinit.icewm etc/X11/xinitrc
elif [ -f etc/X11/xinit.windowmaker ];then
	cp etc/X11/xinit.windowmaker etc/X11/xinitrc
fi

# Fix txz icon
#if [ -d usr/share/icons/Tango ]; then
#	rm -f usr/share/icons/Tango/{scalable,32x32,24x24,22x22,16x16}/mimetypes/gnome-mime-application-x-xz-compressed-tar.{svg,png}
#	( cd usr/share/icons/Tango/scalable/mimetypes; ln -s package-x-generic.svg gnome-mime-application-x-xz-compressed-tar.svg )
#	( cd usr/share/icons/Tango/32x32/mimetypes; ln -s package-x-generic.png gnome-mime-application-x-xz-compressed-tar.png )
#	( cd usr/share/icons/Tango/24x24/mimetypes; ln -s package-x-generic.png gnome-mime-application-x-xz-compressed-tar.png )
#	( cd usr/share/icons/Tango/22x22/mimetypes; ln -s package-x-generic.png gnome-mime-application-x-xz-compressed-tar.png )
#	( cd usr/share/icons/Tango/16x16/mimetypes; ln -s package-x-generic.png gnome-mime-application-x-xz-compressed-tar.png )
#fi

if [ ! -x usr/bin/Xorg ]; then
	sed -i "s/id:.:initdefault/id:3:initdefault/" etc/inittab
fi

if [ -d usr/share/icons/obsidian-cursors ]; then
	( cd usr/share/icons; ln -sf obsidian-cursors default )
fi

[ -f etc/rc.d/rc.font.new ] && rm -f etc/rc.d/rc.font.new

if [ ! -f etc/rc.d/rc.keymap ]; then
	echo "#!/bin/sh" > etc/rc.d/rc.keymap
	echo "# Load the keyboard map.  More maps are in /usr/share/kbd/keymaps." >> etc/rc.d/rc.keymap
	echo "if [ -x /usr/bin/loadkeys ]; then" >> etc/rc.d/rc.keymap
	echo " /usr/bin/loadkeys -u us.map" >> etc/rc.d/rc.keymap
	echo "fi" >> etc/rc.d/rc.keymap
	chmod 755 etc/rc.d/rc.keymap
fi

mv etc/rc.d/rc.services.new etc/rc.d/rc.services
}
doinst
